| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::mem_manager Class Referenceabstract
Private

generic interface of memory managers that create and delete mem_allocator objects depending on requests More...

`#include <mem_allocator.hpp>`

Inherited by libdar::mem_sized.

## Public Member Functions
virtual void | push_to_release_list (mem_allocator *ref)=0
| this is for the mem_allocator to inform its mem_manager that it has all its block released

## Detailed Description

generic interface of memory managers that create and delete mem_allocator objects depending on requests

Definition at line 70 of file mem_allocator.hpp.

The documentation for this class was generated from the following file:

- mem_allocator.hpp